[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# EResourceNotFoundException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

No resource matching the search criteria is found

## Declaration

Source position: resource.pp line 83

`type EResourceNotFoundException = class(EResourceException)`

## Inheritance

`EResourceNotFoundException` |  | No resource matching the search criteria is found
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when searching for a resource in a TResources object fails.

## See also

TResources.Find |  | Searches for a resource
TResources.Remove |  | Removes a resource